package com.jpsoft.picc.modules.business.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:business_student_application的实体类
 */
@Data
@ApiModel(value = "business_student_application的实体类")
public class StudentApplication {
	/**
	 *ID
	 */
	@ApiModelProperty(value = "ID")
	private String id;
	/**
	 *创建人
	 */
	@ApiModelProperty(value = "创建人")
	private String createBy;
	/**
	 *创建时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 *更新人
	 */
        @ApiModelProperty(value = "更新人")
	private String updateBy;
	/**
	 *更新时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;
	/**
	 *是否删除
	 */
	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
	/**
	 *保险种类
	 */
	@ApiModelProperty(value = "保险种类")
	private String definitionId;
	/**
	 *投保单号
	 */
	@ApiModelProperty(value = "投保单号")
	private String policyNo;
	/**
	 *投保人ID
	 */
	@ApiModelProperty(value = "投保人ID")
	private String insuredId;
	/**
	 *投保人姓名
	 */
	@ApiModelProperty(value = "投保人姓名")
	private String insuredName;
	/**
	 *投保人证件号码
	 */
	@ApiModelProperty(value = "投保人证件号码")
	private String insuredCard;
	/**
	 *投保人联系电话
	 */
	@ApiModelProperty(value = "投保人联系电话")
	private String insuredTel;
	/**
	 *是否有附加险
	 */
	@ApiModelProperty(value = "是否有附加险")
	private Boolean haveAttach;
	/**
	 *附加险投保人ID
	 */
	@ApiModelProperty(value = "附加险投保人ID")
	private String attachId;
	/**
	 *附加险投保人姓名
	 */
	@ApiModelProperty(value = "附加险投保人姓名")
	private String attachName;
	/**
	 *附加险投保人证件号码
	 */
	@ApiModelProperty(value = "附加险投保人证件号码")
	private String attachCard;
	/**
	 *附加险投保人联系电话
	 */
	@ApiModelProperty(value = "附加险投保人联系电话")
	private String attachTel;
	/**
	 *有无医保
	 */
	@ApiModelProperty(value = "有无医保")
	private Boolean haveMedicare;
	/**
	 *保障开始时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	@ApiModelProperty(value = "保障开始时间")
	private Date startTime;
	/**
	 *保障结束时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	@ApiModelProperty(value = "保障结束时间")
	private Date endTime;
	/**
	 *保险费合计(总金额)
	 */
	@ApiModelProperty(value = "保险费合计(总金额)")
	private BigDecimal insuranceFee;
	/**
	 *状态:待缴费20/待制单30/待出单40/待签名50/已出单60/已过期100
	 */
	@ApiModelProperty(value = "状态:待缴费20/待制单30/待出单40/待签名50/已出单60/已过期100")
	private String status;
	/**
	 *流程审核状态:正常/回退等
	 */
	@ApiModelProperty(value = "流程审核状态:正常/回退等")
	private String processStatus;
	/**
	 *出单时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	@ApiModelProperty(value = "出单时间")
	private Date finishTime;
	/**
	 *电子签名
	 */
	@ApiModelProperty(value = "电子签名")
	private String signature;
	/**
	 *电子签名2
	 */
	@ApiModelProperty(value = "电子签名2")
	private String signature2;
	/**
	 *电子签名3
	 */
	@ApiModelProperty(value = "电子签名3")
	private String signature3;
	/**
	 *支付订单号
	 */
	@ApiModelProperty(value = "支付订单号")
	private String paymentOrder;
}